
%global meadversion 2.2.0
%global namedversion 2.2.0.redhat-00004
%global meadalpha .redhat_00004
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00004

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package smallrye-health}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.2.0.redhat-00004

Name:           %{?scl_prefix}smallrye-health
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        SmallRye Health is an implementation of Eclipse MicroProfile Health
Group:          Development/Java

%if %with mead
Source100: smallrye-health-parent-2.2.0.redhat-00004-project-sources.tar.gz
Source102: smallrye-health-release-2.2.0.redhat-00004.pom
Source103: smallrye-health-extension-api-2.2.0.redhat-00004-sources.jar
Source104: smallrye-health-docs-2.2.0.redhat-00004.pom
Source105: smallrye-health-extension-test-2.2.0.redhat-00004.pom
Source106: smallrye-health-tck-2.2.0.redhat-00004-sources.jar
Source107: smallrye-health-tck-2.2.0.redhat-00004.jar
Source108: smallrye-health-extension-test-2.2.0.redhat-00004.jar
Source109: smallrye-health-docs-2.2.0.redhat-00004.jar
Source110: smallrye-health-2.2.0.redhat-00004-sources.jar
Source111: smallrye-health-parent-2.2.0.redhat-00004.pom
Source112: smallrye-health-tck-2.2.0.redhat-00004.pom
Source113: smallrye-health-extension-api-2.2.0.redhat-00004.pom
Source114: smallrye-health-2.2.0.redhat-00004.pom
Source115: smallrye-health-extension-api-2.2.0.redhat-00004.jar
Source116: smallrye-health-2.2.0.redhat-00004.jar
%endif

License:        ASL 2.0
URL:            https://github.com/smallrye/smallrye-health/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for smallrye-health
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%package docs
Summary:        SmallRye: MicroProfile Health - Documentation
Group:          Development/Java

%description docs
%{summary}.

%package tck
Summary:        SmallRye: MicroProfile Health TCK
Group:          Development/Java

%description tck
%{summary}.

%prep
%setup -q -n smallrye-health-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/smallrye-health-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-health-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/smallrye-health-%{namedversion}-sources.jar %{buildroot}%{_javadir}/smallrye-health-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/smallrye-health-docs-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-health-docs-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/smallrye-health-tck-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-health-tck-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/smallrye-health-tck-%{namedversion}-sources.jar %{buildroot}%{_javadir}/smallrye-health-tck-%{namedversion}-sources.jar


%if %with javadoc
%{__cp} -p %{_sourcedir}/smallrye-health-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/smallrye-health-%{namedversion}-javadoc.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/smallrye-health-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/smallrye-health-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/smallrye-health-%{namedversion} -x META-INF/\*
%{__ln_s} smallrye-health-%{namedversion} %{buildroot}%{_javadocdir}/smallrye-health
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.adoc
%{_javadir}/smallrye-health.jar
%{_javadir}/smallrye-health-%{namedversion}.jar
%{_javadir}/smallrye-health-sources.jar
%{_javadir}/smallrye-health-%{namedversion}-sources.jar

%files docs
%defattr(0644,root,root,0755)
%{_javadir}/smallrye-health-docs.jar
%{_javadir}/smallrye-health-docs-%{namedversion}.jar

%files tck
%defattr(0644,root,root,0755)
%{_javadir}/smallrye-health-tck.jar
%{_javadir}/smallrye-health-tck-%{namedversion}.jar
%{_javadir}/smallrye-health-tck-sources.jar
%{_javadir}/smallrye-health-tck-%{namedversion}-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/smallrye-health-%{namedversion}
%{_javadocdir}/smallrye-health
%endif

%changelog
* Mon Apr 27 2020 Permaine Cheung <pcheung@redhat.com> - 2.2.0-1.redhat_00004.1
- 2.2.0.redhat-00004

* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 2.0.0-1.redhat_00001.1
- 2.0.0.redhat-00001

* Tue Nov 05 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.2-2.redhat_00001.1
- 2.0.0.redhat-00001

* Thu Sep 27 2018 Yong Yang <yyang@redhat.com> - 1.0.2-1.redhat_00001.1
-  1.0.2.redhat-00001 

* Thu Sep 27 2018 Yong Yang <yyang@redhat.com> - 1.0.2-1.redhat_00001.1
-  1.0.2.redhat-00001 

* Thu Sep 27 2018 Yong Yang <yyang@redhat.com> - 1.0.2-1.redhat_00001.1
-  1.0.2.redhat-00001 

* Thu Sep 27 2018 Yong Yang <yyang@redhat.com> - 1.0.2.
- Init build
